import { Component, OnInit } from '@angular/core';
import { WebSocketService } from './websocket.service';
import { FSMUpdateService } from './fsmupdate.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'app';

  constructor(private webSocketService: WebSocketService, private fsmUpdateService: FSMUpdateService) {}

  ngOnInit() {
    this.webSocketService.connect();
    this.webSocketService.send('reset', '');
    this.fsmUpdateService.init();
  }
}
